<?php

namespace App\Filament\Resources\OfferPopUpResource\Pages;

use App\Filament\Resources\OfferPopUpResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Filament\Notifications\Notification;

class EditOfferPopUp extends EditRecord
{
    protected static string $resource = OfferPopUpResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make(),
        ];
    }

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }

    protected function getSavedNotification(): ?Notification
    {
        return Notification::make()
            ->success()
            ->title('Offer Pop Up updated successfully')
            ->body('The offer pop up has been updated successfully.');
    }
}
